%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir %{moduledir}/input

Name:          xorg-x11-drv-evdev
Version:       2.10.6
Release:       5
License:       MIT
Summary:       Xorg X11 evdev input driver
URL:           https://www.x.org
Source0:       https://www.x.org/pub/individual/driver/xf86-input-evdev-%{version}.tar.bz2

BuildRequires: autoconf automake libtool xorg-x11-server-devel 
BuildRequires: libudev-devel mtdev-devel libevdev-devel xorg-x11-util-macros >= 1.3.0

Requires:      Xorg %(xserver-sdk-abi-requires ansic) mtdev xkeyboard-config
Requires:      Xorg %(xserver-sdk-abi-requires xinput)

Obsoletes:     xorg-x11-drv-mouse < 1.9.0-8
Obsoletes:     xorg-x11-drv-keyboard < 1.8.0-6

%description
X.Org X11 evdev input driver.

%package       devel
Summary:       Xorg X11 evdev input driver development package.
Requires:      pkgconfig

%description   devel
X.Org X11 evdev input driver development files.

%package_help

%prep
%autosetup -n xf86-input-evdev-%{version} -p1

%build
autoreconf --force -v --install || exit 1
%configure --disable-silent-rules
%make_build

%install
%make_install

%delete_la

%files
%defattr(-,root,root)
%doc COPYING ChangeLog
%{driverdir}/evdev_drv.so
%{_datadir}/X11/xorg.conf.d/10-evdev.conf

%files devel
%defattr(-,root,root)
%doc COPYING
%{_libdir}/pkgconfig/xorg-evdev.pc
%{_includedir}/xorg/evdev-properties.h

%files help
%defattr(-,root,root)
%doc README
%{_mandir}/man4/evdev.4*

%changelog
* Tue Oct 25 2022 wangkerong <wangkerong@h-partners.com> - 2.10.6-5
- rebuild for next release

* Fri Oct 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.10.6-4
- Package init
